---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    NOT YET IMPLEMENTED. Reference for the POST
    /v1/projects/{projectId}/evaluate/traces endpoint in the Judgeval API.
sidebar:
  label: Evaluate traces
  badge: POST
title: Evaluate traces
type: openapi-operation
---
NOT YET IMPLEMENTED

`POST /v1/projects/{projectId}/evaluate/traces`

**Request body** (`application/json`, required)

- `id` (string | null)
- `project_id` (string, required)
- `eval_name` (string, required)
- `model` (string | null)
- `created_at` (string | null)
- `user_id` (string)
- `scorers` (any[] | null)
- `custom_scorers` (BaseScorer[], required)
- `judgment_scorers` (ScorerConfig[], required)
- `trace_and_span_ids` (any[][], required)
- `is_offline` (boolean, required)
- `is_behavior` (boolean, required)

Request body example:

```json
{
  "id": "string",
  "project_id": "string",
  "eval_name": "string",
  "model": "string",
  "created_at": "string",
  "user_id": "string",
  "scorers": [
    null
  ],
  "custom_scorers": [],
  "judgment_scorers": [],
  "trace_and_span_ids": [
    [
      "string",
      "string"
    ]
  ],
  "is_offline": false,
  "is_behavior": false
}
```

**Responses**

- `501` — Response for status 501
